; refer to siomn's fxDocumentation

 .SECTION P,CODE

 .EXPORT _GetVRAMAddress
 .EXPORT _GetVRAMWorkBuffer
 .EXPORT _Bdisp_Fill_DD
 .EXPORT _Bfile_RenameEntry
 .EXPORT _Cursor_SetPosition
 .EXPORT _PutKey
 .EXPORT _OpcodeToStr
 .EXPORT _Bfile_GetFileInfo
 .EXPORT _Cursor_GetSettings
 .EXPORT _ColorIndexDialog0
 .EXPORT _Bkey_Set_RepeatTime
 .EXPORT _Bkey_Get_RepeatTime
 .EXPORT _Keyboard_ClrBuffer
 .EXPORT _Bfile_GetMediaFree_OS
 .EXPORT _RTC_GetDateTime


 .EXPORT _Calljmp
 .EXPORT _SysCalljmp

 .ALIGN	4


_GetVRAMAddress:
	mov.l SYSCALL,r1
	mov.l #H'01E6,r0
	jmp @r1
	nop

_GetVRAMWorkBuffer:
	mov.l SYSCALL,r1
	mov.l #H'1B0B,r0
	jmp @r1
	nop

_Bdisp_Fill_DD;
	mov.l SYSCALL,r1
	mov.l #H'0276,r0
	jmp @r1
	nop

_Bfile_RenameEntry:
	mov.l SYSCALL,r1
	mov.l #H'1DB3,r0
	jmp @r1
	nop

_Cursor_SetPosition:
	mov.l SYSCALL,r1
	mov.l #H'01F1,r0
	jmp @r1
	nop

_PutKey:
	mov.l SYSCALL,r1
	mov.l #H'0EA9,r0
	jmp @r1
	nop

_OpcodeToStr:
	mov.l SYSCALL,r1
	mov.l #H'128F,r0
	jmp @r1
	nop

_Bfile_GetFileInfo:
	mov.l SYSCALL,r1
	mov.l #H'1DA7,r0
	jmp @r1
	nop

_Cursor_GetSettings:
	mov.l SYSCALL,r1
	mov.l #H'01F5,r0
	jmp @r1
	nop


_ColorIndexDialog0:
	mov.l SYSCALL,r1
	mov.l #H'1814,r0
	jmp @r1
	nop


_Bkey_Set_RepeatTime:
	mov.l SYSCALL,r1
	mov.l #H'12A4,r0
	jmp @r1
	nop

_Bkey_Get_RepeatTime:
	mov.l SYSCALL,r1
	mov.l #H'12A5,r0
	jmp @r1
	nop

_Keyboard_ClrBuffer:
	mov.l SYSCALL,r1
	mov.l #H'12c7,r0
	jmp @r1
	nop

_Bfile_GetMediaFree_OS:
	mov.l SYSCALL,r1
	mov.l #H'1DA5,r0
	jmp @r1
	nop

_RTC_GetDateTime:
	mov.l SYSCALL,r1
	mov.l #H'11E2,r0
	jmp @r1
	nop


;int Calljmp( int r4, int r5, int r6, int r7, int adrs );

_Calljmp:
	mov.l	@r15,r1
	jmp	@r1
	nop

;int SysCalljmp( int r4, int r5, int r6, int r7, int No);

_SysCalljmp:
	mov.l	SYSCALL,r1
	mov.l	@r15,r0
	jmp	@r1
	nop

 .ALIGN	4
SYSCALL: .DATA.L H'80020070

 .END
